Subject: Re: Some issues when trying to set up a shallow git mirror server

From: Richard Maw <[email-masked]>
Date: Wed, 13 Jan 2016 17:43:32 +0000

On Wed, Jan 13, 2016 at 09:14:10AM -0800, Junio C Hamano wrote:
> Richard Maw <[email-masked]> writes:
> 
> > 1.  Before any "want" requests.
> >
> >     This would also let you extend ls-remote to let it display ancestry.
> >
> >     This is complicated by the fact that normally the client responds
> >     with which features it supports in the first "want",
> >     so the sender would have to support "check-ff N O <FEATURES>"
> >     if it advertised "ancestry-check".
> 
> Yes, that sounds like a good thing.  Actually, ls-remote is a
> degenerated case of fetch that sends 0 "want" requests, so the above
> may be identical to what I suggested in the message you are
> responding to.

Thanks. I've got a good idea of what I'd need to do now.